# Retrieves a legal entity. Returns a legal entity for the provided ID. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "Legal Entities", "description": "Collection of endpoints to manage legal entities data.", "version": "2.0.0" }, "servers": [ { "url": "https://api.personio.de" } ], "security": [ { "BearerAuth": [] } ], "paths": { "/v2/legal-entities/{id}": { "get": { "summary": "Retrieves a legal entity.", "description": "Returns a legal entity for the provided ID.", "operationId": "getLegalEntityById", "tags": [ "Legal Entities" ], "parameters": [ { "name": "id", "description": "The ID of the legal entity.", "in": "path", "schema": { "type": "string" }, "required": true, "example": "123" } ], "x-path-examples": { "200 Success - Retrieve legal entity by ID": { "value": "/public/organization/papi/v2/legal-entities/123" }, "404 Not found - Legal entity not found": { "value": "/public/organization/papi/v2/legal-entities/404" } }, "responses": { "200": { "description": "Successful response.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/LegalEntity" }, "examples": { "200 Success - Retrieve legal entity by ID": { "$ref": "#/components/examples/GetLegalEntityResponse" } } } } }, "404": { "description": "Requested legal entity not found.", "content": { "application/problem+json": { "schema": { "$ref": "#/paths/~1v2~1legal-entities/get/responses/400/content/application~1problem%2Bjson/schema" }, "examples": { "404 Not found - Legal entity not found": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Resource not found", "detail": "The requested resource was not found. The resource could have been deleted or never existed in our system.", "type": "https://developer.personio.de/reference/errors#common.requested_resource_not_found" } ] } } } } } }, "412": { "description": "No access to legal entities feature.", "content": { "application/problem+json": { "schema": { "$ref": "#/paths/~1v2~1legal-entities/get/responses/400/content/application~1problem%2Bjson/schema" } } } } } } } }, "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } }, "schemas": { "LegalEntity": { "description": "Legal Entity schema.", "type": "object", "required": [ "id", "is_main", "valid_from", "assigned_employees" ], "properties": { "id": { "type": "string", "description": "The ID of the legal entity." }, "status": { "$ref": "#/components/schemas/LegalEntityStatus" }, "is_main": { "type": "boolean", "description": "Whether this is the main legal entity or not. This field is deprecated and will be removed in the next version.", "deprecated": true }, "valid_from": { "type": "string", "format": "date", "description": "Legal entity creation date." }, "assigned_employees": { "$ref": "#/components/schemas/AssignedEmployees" }, "country": { "type": "string", "nullable": true, "description": "The country of the the legal entity. Must conform with ISO 3166 alpha-2 country code standard." }, "name": { "type": "string", "description": "The name of the legal entity." }, "type": { "$ref": "#/components/schemas/LegalEntityType" }, "registration_number": { "type": "string", "nullable": true, "description": "The company registration number." }, "industry_sector": { "$ref": "#/components/schemas/IndustrySector" }, "email": { "type": "string", "format": "email", "nullable": true, "description": "The email address of the legal entity." }, "phone": { "type": "string", "nullable": true, "description": "The phone number of the legal entity." }, "address": { "$ref": "#/components/schemas/Address" }, "contact_person": { "$ref": "#/components/schemas/ContactPerson" }, "bank_details": { "$ref": "#/components/schemas/BankDetails" }, "mailing_address": { "$ref": "#/components/schemas/MailingAddress" }, "_meta": { "description": "This object represents the metadata information for an object. It's a set of arbitrary key/value attributes such as `links`.", "type": "object", "readOnly": true, "properties": { "links": { "type": "object", "additionalProperties": { "description": "This objects represents a hyperlink.", "type": "object", "readOnly": true, "properties": { "href": { "type": "string", "format": "uri" } }, "additionalProperties": true }, "example": { "links": { "self": { "href": "https://api.personio.de/v2/person?cursor=" } } } } } } } }, "LegalEntityStatus": { "type": "string", "description": "The status of the legal entity.", "enum": [ "ACTIVE", "OUT_OF_BUSINESS" ] }, "AssignedEmployees": { "type": "object", "description": "Holds information about the number of employees assigned to the legal entity.", "required": [ "active", "total" ], "properties": { "active": { "type": "integer", "description": "The number of active assigned employees." }, "total": { "type": "integer", "description": "The number of total assigned employees." } } }, "Address": { "type": "object", "description": "The address of the legal entity.", "properties": { "street_name": { "type": "string", "nullable": true, "description": "The street name of the address." }, "house_number": { "type": "string", "nullable": true, "description": "The house number of the address." }, "postal_code": { "type": "string", "nullable": true, "description": "The postal code of the address." }, "city": { "type": "string", "nullable": true, "description": "The city of the address." }, "state": { "type": "string", "nullable": true, "description": "The state of the address. Must conform with ISO-3166-2 standard." } } }, "MailingAddress": { "type": "object", "nullable": true, "description": "The mailing address of the legal entity.", "properties": { "street_name": { "type": "string", "nullable": true, "description": "The street name of the address." }, "house_number": { "type": "string", "nullable": true, "description": "The house number of the address." }, "postal_code": { "type": "string", "nullable": true, "description": "The postal code of the address." }, "city": { "type": "string", "nullable": true, "description": "The city of the address." }, "name": { "type": "string", "nullable": true, "description": "The name of the receiver of the mail." }, "additional_info": { "type": "string", "nullable": true, "description": "The additional info of the address." }, "address_type": { "$ref": "#/components/schemas/AddressType" }, "country": { "type": "string", "nullable": true, "description": "The country of the address (which might differ from the LE country). Must conform with ISO 3166 alpha-2 country code standard." }, "po_box_number": { "type": "string", "nullable": true, "description": "The post office box number." } } }, "AddressType": { "type": "string", "nullable": true, "description": "The type of the address.", "enum": [ "REGULAR_ADDRESS", "PO_BOX", "EPOST", "FOREIGN_ADDRESS" ] }, "ContactPerson": { "type": "object", "nullable": true, "description": "The contact person of the legal entity.", "properties": { "salutation": { "$ref": "#/components/schemas/Salutation" }, "full_name": { "type": "string", "nullable": true, "description": "The full name of the contact person." }, "email": { "type": "string", "format": "email", "nullable": true, "description": "The email address of the contact person." }, "phone": { "type": "string", "nullable": true, "description": "The phone number of the contact person." }, "fax": { "type": "string", "nullable": true, "description": "The fax number of the contact person." } } }, "Salutation": { "type": "string", "nullable": true, "description": "The salutation of the contact person.", "enum": [ "MS", "MR" ] }, "BankDetails": { "type": "object", "nullable": true, "description": "The bank details of the legal entity.", "properties": { "iban": { "type": "string", "nullable": true, "description": "The IBAN of the bank details." }, "bic": { "type": "string", "nullable": true, "description": "The BIC of the bank details." }, "account_holder": { "type": "string", "nullable": true, "description": "The full name of the account holder of the bank details." } } }, "IndustrySector": { "type": "string", "nullable": true, "description": "The industry sector of the legal entity.", "enum": [ "ACCOUNTING_AND_AUDITING_SERVICES", "ADVERTISING_AND_PR_SERVICES", "AEROSPACE", "AGRICULTURE", "ARCHITECTURAL", "AUTOMOTIVE", "AUTOMOTIVE_PARTS", "BANKING", "BIOTECHNOLOGY", "BROADCASTING", "BUSINESS_SERVICES", "CHEMICALS", "CLOTHING", "COMPUTER_HARDWARE", "COMPUTER_SERVICES", "COMPUTER_SOFTWARE", "CONSTRUCTION", "CONSTRUCTION_RESIDENTIAL", "EDUCATION", "ELECTRONICS", "ENERGY", "ENGINEERING_SERVICES", "ENTERTAINMENT_VENUES", "FINANCIAL_SERVICES", "FOOD_AND_BEVERAGE", "GOVERNMENT", "HEALTHCARE_SERVICES", "HOTELS", "INSURANCE", "INTERNET", "LEGAL_SERVICES", "MANAGEMENT", "MANUFACTURING", "MARINE_MFG", "MEDICAL_DEVICES", "METALS", "NONPROFIT", "OTHER", "PERFORMING", "PERSONAL", "PERSONAL_CARE", "PRINTING", "REAL_ESTATE", "RENTAL_SERVICES", "RESTAURANT", "RETAIL", "SECURITY", "SPORTS", "STAFFING", "TELECOMMUNICATIONS", "TRADE_EXPORT", "TRANSPORT", "TRAVEL", "WASTE_MANAGEMENT" ] }, "LegalEntityType": { "type": "string", "nullable": true, "description": "The type of the legal entity.", "enum": [ "ADOR", "AG", "AG_UND_CO_KG", "AG_UND_CO_KGAA", "AG_UND_CO_OHG", "BV", "BV_UND_CO_KG", "EK_EKFR_EKFM", "EV", "EG", "EG_UND_CO_KG", "EINGETRAGENE_GESELLSCHAFT_BUERGERLICHEN_RECHTS", "EWIV", "GAG", "GBR", "GEBIETSKORPERSCHAFT", "GGMBH", "GGMBH_IG", "GMBH", "GMBH_UND_CO_KG", "GMBH_UND_CO_KGAA", "GMBH_UND_CO_OHG", "GMBH_IG", "GUG_HAFTUNGSBESCHRANKT", "KDOR", "KG", "KGAA", "KGAA_UND_CO_KG", "KGAA_UND_CO_OHG", "KIRCHENGEMEINDE", "LLC", "LLC_UND_CO_KG", "LTD_UND_CO_KG", "LTD_UND_CO_OHG", "LTD", "NV", "NICHT_IM_HR_EINGETR_EINZELUNTERNEHMEN", "NICHT_RECHTSFAHIGER_VEREIN", "OHG", "PARTNERSCHAFT_MBB", "PARTNERSCHAFT_PARTNER", "PRIVATHAUSHALT", "SA", "SPA", "SCE", "SE", "SE_UND_CO_KG", "SE_UND_CO_KGAA", "SONSTIGE_AUSLANDISCHE_RECHTSFORM_PR", "SONSTIGE_AUSLANDISCHE_RECHTSFORM_HRA", "SONSTIGE_AUSLANDISCHE_RECHTSFORM_EU_PR", "SONSTIGE_AUSLANDISCHE_RECHTSFORM_EU_HRA", "SONSTIGE_BETRIEBE_GEWERBL_ART_VON_KORPERSCHAFTEN_D_OFFENTL_RECHTS", "SONSTIGE_NICHT_AUFGEFUHRTE_DEUTSCHE_HRA", "SONSTIGE_NICHT_AUFGEFUHRTE_DEUTSCHE_PR", "STIFTUNG", "STIFTUNG_UND_CO_KG", "STIFTUNG_OHNE_REGISTEREINTRAG", "UG_HAFTUNGSBESCHRANKT_UND_CO_KG", "UG_HAFTUNGSBESCHRANKT_UND_CO_KGAA", "UG_HAFTUNGSBESCHRANKT_UND_CO_OHG", "UG_HAFTUNGSBESCHRANKT_IG", "UG_HAFTUNGSBESCHRANKT", "VVAG", "WV", "WEG" ] } }, "examples": { "GetLegalEntityResponse": { "value": { "id": "123", "status": "ACTIVE", "valid_from": "2024-01-15", "assigned_employees": { "active": 10, "total": 15 }, "country": "DE", "name": "Future GmbH", "type": "GMBH", "registration_number": "22055901", "industry_sector": "COMPUTER_SOFTWARE", "email": "test@future.de", "phone": "030-23125 608", "address": { "street_name": "Arnulfstr.", "house_number": "222", "postal_code": "25374", "city": "Berlin", "state": "DE-BE" }, "contact_person": { "salutation": "MR", "full_name": "Peter Lustig", "email": "peter.lustig@future.de", "phone": "06032 706758", "fax": "06032 706759" }, "bank_details": { "iban": "DE14500105173975664156", "bic": "INGDDEFF", "account_holder": "John Doe" }, "mailing_address": { "street_name": "Standardstr.", "house_number": "123", "postal_code": "80888", "city": "Munich", "name": "Standard", "additional_info": "", "address_type": "REGULAR_ADDRESS" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities/123" } } } } } } } } ```